#include <bits/stdc++.h>
typedef long long ll;
typedef int itn;

using namespace std;
itn cifra(int c){
    if(c==0)
        return 0;
    if(c==1||c==2||c==5)
        return 1;
    if(c==3||c==4||c==6||c==7)
        return 2;
    if(c==8||c==9)
        return 3;

}
itn mini(int n){
     if(n<9)
     {
         return cifra(n);
     }
     return mini(n/10)+cifra(n%10);
}

int main()
{
   ios::sync_with_stdio(false);
   ll n,minimalno=0;
   cin >> n;
   cout << mini(n) <<'\n';
   return 0;
}